Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

## Class OriginalBusinessQuery1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_03.OriginalBusinessQuery1

    public class OriginalBusinessQuery1
    extends java.lang.Object

Java class for OriginalBusinessQuery1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OriginalBusinessQuery1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text"/>
             <element name="MsgNmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}ISODateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.lang.String` `msgId`
`protected java.lang.String` `msgNmId`

### Constructor Summary

Constructors
`OriginalBusinessQuery1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getMsgNmId()` Gets the value of the msgNmId property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setMsgNmId​(java.lang.String value)` Sets the value of the msgNmId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### msgNmId

    protected java.lang.String msgNmId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

### Constructor Detail

#### OriginalBusinessQuery1

    public OriginalBusinessQuery1()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getMsgNmId

    public java.lang.String getMsgNmId()

Gets the value of the msgNmId property.

Returns:
  possible object is `String`

#### setMsgNmId

    public void setMsgNmId​(java.lang.String value)

Sets the value of the msgNmId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`